server:
  port: 7002
  servlet:
    context-path: /api
spring:
  profiles:
    active: test
  servlet:
    multipart:
      max-file-size: 100MB
      max-request-size: 1000MB
logging:
  config: classpath:logback-spring.xml
# mybatis日志
mybatis-plus:
  global-config:
    # 逻辑删除
    db-config:
      logic-delete-field: deleted  # 全局逻辑删除的实体字段名
      logic-delete-value: 1
      logic-not-delete-value: 0
  # xml文件路径，classpath* 代表所有模块的resources目录 classpath 不加星号代表当前模块下的resources目录
  mapper-locations: classpath*:mapper/**/*.xml
  configuration:
    log-impl: org.apache.ibatis.logging.slf4j.Slf4jImpl

wx:
  mp:
    app-id: xxx
    secret: ddd
    config-storage:
      key-prefix: peipei
      http-client-type: HttpClient
      redis:
        host: 12
        database: ${spring.redis.database}
        port: ${spring.redis.port}
        password: ${spring.redis.password}
      type: RedisTemplate
